﻿using System;
using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Drawing;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Colormap colormap = Colormap.Viridis;

            plot.AddColorbar(colormap);

            Random random = new Random(0);

            for(int i = 0; i < 1000; i++)
            {
                double x = DataGen.RandomNormalValue(random, mean : 0, stdDev : 0.5);
                double y = DataGen.RandomNormalValue(random, mean : 0, stdDev : 0.5);

                double colorFraction = Math.Sqrt(x * x + y * y);

                Color color = Colormap.Viridis.GetColor(colorFraction);

                plot.AddPoint(x, y, color);
            }

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}